## nipy 0.3.0

=== Makefile ===
# Automating common tasks for NIPY development

PYTHON = python

clean-pyc:
	find . -regex ".*\.pyc" -exec rm -rf "{}" \;

clean: clean-pyc
	find . -regex ".*\.so" -exec rm -rf "{}" \;
	find . -regex ".*\.pyd" -exec rm -rf "{}" \;
	find . -regex ".*~" -exec rm -rf "{}" \;
	find . -regex ".*#" -exec rm -rf "{}" \;
	rm -rf build
	$(MAKE) -C doc clean

clean-dev: clean dev

distclean: clean
	-rm MANIFEST
	-rm $(COVERAGE_REPORT)
	@find . -name '*.py[co]' \
		 -o -name '*.a' \
		 -o -name '*,cover' \
		 -o -name '.coverage' \
		 -o -iname '*~' \
		 -o -iname '*.kcache' \
		 -o -iname '*.pstats' \
		 -o -iname '*.prof' \
		 -o -iname '#*#' | xargs -L10 rm -f
	-rm -r dist
	-rm build-stamp
	-rm -r .tox
	-git clean -fxd

dev: cythonize
	$(PYTHON) setup.py build_ext --inplace

test:
	cd .. && $(PYTHON) -c 'import nipy; nipy.test()'

build:
	$(PYTHON) setup.py build

install:
	$(PYTHON) setup.py install

cythonize:
	$(PYTHON) tools/nicythize

bdist_rpm:
	$(PYTHON) setup.py bdist_rpm \
	  --doc-files "doc" \
	  --packager "nipy authors <http://mail.scipy.org/mailman/listinfo/nipy-devel>"
	  --vendor "nipy authors <http://mail.scipy.org/mailman/listinfo/nipy-devel>"


# build MacOS installer -- depends on patched bdist_mpkg for Leopard
bdist_mpkg:
	$(PYTHON) tools/mpkg_wrapper.py setup.py install

# Check for files not installed
check-files:
	$(PYTHON) -c 'from nisext.testers import check_files; check_files("nipy")'

# Print out info for possible install methods
check-version-info:
	$(PYTHON) -c 'from nisext.testers import info_from_here; info_from_here("nipy")'

# Run tests from installed code
installed-tests:
	$(PYTHON) -c 'from nisext.testers import tests_installed; tests_installed("nipy")'

# Run tests from sdist archive of code
sdist-tests:
	$(PYTHON) -c 'from nisext.testers import sdist_tests; sdist_tests("nipy")'

# Run tests from bdist egg of code
bdist-egg-tests:
	$(PYTHON) -c 'from nisext.testers import bdist_egg_tests; bdist_egg_tests("nipy")'

source-release: distclean
	python -m compileall .
	make distclean
	python setup.py sdist --formats=gztar,zip

venv-tests:
	# I use this for python2.5 because the sdist-tests target doesn't work
	# (the tester routine uses a 2.6 feature)
	make distclean
	- rm -rf $(VIRTUAL_ENV)/lib/python$(PYVER)/site-packages/nipy
	python setup.py install
	cd .. && nosetests $(VIRTUAL_ENV)/lib/python$(PYVER)/site-packages/nipy

tox-fresh:
	# tox tests with fresh-installed virtualenvs.  Needs network.  And
	# pytox, obviously.
	tox -c tox.ini

tox-stale:
	# tox tests with MB's already-installed virtualenvs (numpy and nose
	# installed)
	tox -e python25,python26,python27,python32,np-1.2.1

recythonize:
	# Recythonize all pyx files
	find . -name "*.pyx" -exec cython -I libcstat/wrapper {} \;

.PHONY: orig-src pylint

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

SF_USER ?= matthewbrett
DIST_DIR = dist

# You can set these variables from the command line.
SPHINXOPTS    = #-q # suppress all output but warnings
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean pdf all dist public_html web web_public htmlonly api html pickle htmlhelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      	make HTML and API documents"
	@echo "  htmlonly  	make HTML documents only"
	@echo "  api       	make API documents only"
	@echo "  latex     	make LaTeX documents (you can set\
					PAPER=a4 or PAPER=letter)"
	@echo "  all		make HTML, API and PDF documents"
	@echo "  clean		remove all generated documents"
	@echo
	@echo "  linkcheck 	check all external links for integrity"
	@echo "  doctest   	run doctests in reST files"
	@echo "  pdf		make <latex> and run the PDF generation"
	@echo "  dist		make <all> and put results in $DIST_DIR/"
	@echo "  public_html	make <dist> and rsync with public website"
	@echo "  upload-stable-web	make <dist> and rsync with public stable website"
	@echo "  upload-devel-web	make <dist> and rsync with public devel website"
	@echo "  gitwash-update	update git workflow from source repo"

# Commented these out, wasn't clear if we'd use these targets or not.
# @echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
# @echo "  htmlhelp  to make HTML files and a HTML help project"
# @echo "  changes   to make an overview over all changed/added/deprecated items"

clean:
	-rm -rf build/* $(DIST_DIR)/* *~ api/generated labs/generated
	-rm -f manual

pdf: latex
	cd build/latex && make all-pdf

all: html pdf

dist: clean all
	mkdir -p $(DIST_DIR)
	ln build/latex/nipy*.pdf $(DIST_DIR)
	cp -a build/html/* $(DIST_DIR)
	@echo "Build finished.  Final docs are in $(DIST_DIR)"

# This one udates for the specific user named at the top of the makefile
upload-stable-web: upload-stable-web-$(SF_USER)

# This one updates according to passed user e.g
# make upload-stable-web-my_own_sf_user
upload-stable-web-%: dist
	rsync -rzhvp --delete --chmod=Dg+s,g+rw $(DIST_DIR)/* \
		$*,nipy@web.sourceforge.net:/home/groups/n/ni/nipy/htdocs/nipy/stable

# This one udates for the specific user named at the top of the makefile
upload-devel-web: upload-devel-web-$(SF_USER)

# This one updates according to passed user e.g
# make upload-devel-web-my_own_sf_user
upload-devel-web-%: dist
	rsync -rzhvp --delete --chmod=Dg+s,g+rw $(DIST_DIR)/* \
		$*,nipy@web.sourceforge.net:/home/groups/n/ni/nipy/htdocs/nipy/devel

htmlonly:
	mkdir -p build/html build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

api:
	python ../tools/build_modref_templates.py
	@echo "Build API docs finished."

html: api htmlonly
	-ln -s build manual
	@echo "Build HTML and API finished."

gitwash-update:
	python ../tools/gitwash_dumper.py devel/guidelines nipy \
		--github-user=nipy \
		--project-url=http://nipy.org/nipy \
		--project-ml-url=http://mail.scipy.org/mailman/listinfo/nipy-devel

pickle:
	mkdir -p build/pickle build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web build/pickle"
	@echo "to start the sphinx-web server."

htmlhelp:
	mkdir -p build/htmlhelp build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

latex: api
	mkdir -p build/latex build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	# Clear bug for longtable column output in sphinx
	python ../tools/fix_longtable.py build/latex/nipy.tex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p build/changes build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	mkdir -p build/linkcheck build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

doctest:
	mkdir -p build/doctest build/doctrees
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) build/doctest
	@echo
	@echo "The overview file is in build/doctest."

=== debian/changelog ===
nipy (0.3.0-1~nd60+1) squeeze; urgency=low

  * Backported for squeeze.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 04 Feb 2013 13:07:35 -0500

nipy (0.3.0-1) unstable; urgency=low

  * New upstream release
  * debian/watch
    - fixed up for the recent github changes
  * debian/rules
    - add scripts/ into PATH while testing and building documentation
    - generate manpages for the scripts

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 03 Feb 2013 11:36:54 -0500

=== debian/control ===
Source: nipy
Section: python
Priority: extra
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.5), python-support (>= 0.6),
               python-scipy (>= 0.5), python-numpy (>= 1:1.2), python-matplotlib (>= 0.98.3),
               python-sphinx (>= 0.6), cython,
               python-nibabel, python-nose, python-sympy (>= 0.6.6),
               liblapack-dev,
               python-all-dbg, python-numpy-dbg, python-scipy-dbg, cython-dbg,
               graphviz, dvipng,
               help2man,
Standards-Version: 3.9.3
Homepage: http://neuroimaging.scipy.org
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/nipy.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/nipy.git


Package: python-nipy
Architecture: all
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
         python-scipy, python-numpy (>= 1:1.2),
         python-nibabel,
         python-nipy-lib (>= ${source:Version}),
Recommends: python-matplotlib,
         mayavi2,
         python-sympy,
Suggests: python-mvpa
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Analysis of structural and functional neuroimaging data
 NiPy is a Python-based framework for the analysis of structural and
 functional neuroimaging data.  It provides functionality for
  - General linear model (GLM) statistical analysis
  - Combined slice time correction and motion correction
  - General image registration routines with flexible cost functions,
    optimizers and re-sampling schemes
  - Image segmentation
  - Basic visualization of results in 2D and 3D
  - Basic time series diagnostics
  - Clustering and activation pattern analysis across subjects
  - Reproducibility analysis for group studies


Package: python-nipy-lib
Architecture: any
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Analysis of structural and functional neuroimaging data
 NiPy is a Python-based framework for the analysis of structural and
 functional neuroimaging data.
 .
 This package provides architecture-dependent builds of the libraries.


Package: python-nipy-lib-dbg
Architecture: any
Section: debug
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
         python-nipy-lib (= ${binary:Version})
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Analysis of structural and functional neuroimaging data
 NiPy is a Python-based framework for the analysis of structural and
 functional neuroimaging data.
 .
 This package provides debugging symbols for architecture-dependent
 builds of the libraries.


Package: python-nipy-doc
Architecture: all
Section: doc
Depends: neurodebian-popularity-contest, ${misc:Depends}, libjs-jquery
Recommends: python-nipy
Description: documentation and examples for NiPy
 This package contains NiPy documentation in various formats (HTML,
 TXT) including
  * User manual
  * Developer guidelines
  * API documentation

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export DH_VERBOSE=1

debver = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Version:' | cut -d ' ' -f 2,2 )
uver = $(shell echo $(debver) | sed -e 's,-[^-]*$$,,g' )

PYVER = $(shell pyversions -vd)

# To fix distutils fragile nature: when seing LDFLAGS=, which is set
# by dpkg-buildpackage it stops providing -shared flag, so for the
# minimalistic fix (alternative to NMU-ed #535699 with explicit
# -shared) we just unexport LDFLAGS
unexport LDFLAGS

# Mega rule
%:
	dh --buildsystem=python_distutils $@

override_dh_auto_test:
    : # Do not test just after build, lets install and then test

override_dh_auto_build:
	dh_auto_build
	echo "backend : Agg" >| build/matplotlibrc

manpages:
	@echo "I: generating manpages"
	set -e; mkdir -p build/manpages && \
	cd scripts && for f in *; do \
		descr=$$(grep -h -e "^ *'''" -e 'DESCRIP =' $$f | sed -e "s,.*' *\([^'][^']*\)'.*,\1,g" | head -n 1); \
        PYTHONPATH=../ \
		help2man -n "$$descr" --no-discard-stderr --no-info --version-string "$(uver)" ./$$f \
		>| ../build/manpages/$$f.1; \
	done

#
# Documentation
#
doc-stamp:
	: # I: Generate documentation
	export PYTHONPATH=$$PWD/`/bin/ls -d build/lib.*$(PYVER)` \
           PATH=$(CURDIR)/scripts:$$PATH \
		   MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
     cd doc; $(MAKE) html
	: # I: Use jquery from Debian package
	-rm doc/build/html/_static/jquery.js
	touch $@


#override_dh_auto_install:
#	dh_auto_install

test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	: # I: Unittest only the default python version for now against "installed" materials
	cd debian; \
     PATH=$(CURDIR)/scripts:$$PATH \
	 PYTHONPATH=$$(/bin/ls -d $(CURDIR)/debian/tmp/usr/lib/python$(PYVER)/*-packages):$$PYTHONPATH \
     MPLCONFIGDIR=$(CURDIR)/build \
	  ../tools/nipnost nipy
else
	: # Skip unittests due to nocheck
endif

override_dh_install: test
	: # I: Move libraries into the python-nipy-lib and -lib-dbg packages
	find debian/tmp/ -iname *.so | \
	  while read so; do \
	    d=$$(dirname $$so); \
		if [ $${so%_d.so} = $${so} ]; then suf=""; else suf="-dbg"; fi; \
	    d=$$(echo $$d | sed -e "s,debian/tmp/,debian/python-nipy-lib$$suf/,g"); \
	    mkdir -p $$d; echo "Moving $$so under $$d"; mv $$so $$d; \
	  done
	: # I: Move leftovers into python-nipy
	mkdir -p debian/python-nipy
	mv debian/tmp/* debian/python-nipy/
	: # I: Fix up interpreter which might be -dbg one
	sed -i -e 's,/usr/bin/python-dbg,/usr/bin/python,g' debian/python-nipy/usr/bin/*
	: # I: Assure versioned dependency on NumPy
	if [ -x /usr/bin/dh_numpy ]; then dh_numpy;	fi

	dh_install


## immediately useable documentation and exemplar scripts/data
override_dh_compress:
	: # I: Avoiding compression of what should not be compressed
	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -Xobjects.inv

override_dh_installman: manpages
	dh_installman -ppython-nipy build/manpages/*.1

override_dh_clean:
	: # I: Custom cleaning
	rm -rf build doc-stamp nipy/neurospin/__config__.py
	$(MAKE) -C doc clean
	dh_clean


# We build documentation only for -indep
binary-indep: doc-stamp

binary: binary-arch binary-indep

## nipy 0.3.0%2Bgit262-gbb838d7

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: nipy
 Section: python
 Priority: extra
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.5), python-support (>= 0.6),
+Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.5),
                python-scipy (>= 0.5), python-numpy (>= 1:1.2), python-matplotlib (>= 0.98.3),
                python-sphinx (>= 0.6), cython,
                python-nibabel, python-nose, python-sympy (>= 0.6.6),
@@ -12,7 +11,7 @@
                python-all-dbg, python-numpy-dbg, python-scipy-dbg, cython-dbg,
                graphviz, dvipng,
                help2man,
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Homepage: http://neuroimaging.scipy.org
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/nipy.git
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/nipy.git
@@ -20,7 +19,7 @@
 
 Package: python-nipy
 Architecture: all
-Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
          python-scipy, python-numpy (>= 1:1.2),
          python-nibabel,
          python-nipy-lib (>= ${source:Version}),
@@ -46,7 +45,7 @@
 
 Package: python-nipy-lib
 Architecture: any
-Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: Analysis of structural and functional neuroimaging data
@@ -59,7 +58,7 @@
 Package: python-nipy-lib-dbg
 Architecture: any
 Section: debug
-Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
          python-nipy-lib (= ${binary:Version})
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
@@ -74,7 +73,7 @@
 Package: python-nipy-doc
 Architecture: all
 Section: doc
-Depends: neurodebian-popularity-contest, ${misc:Depends}, libjs-jquery
+Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
 Recommends: python-nipy
 Description: documentation and examples for NiPy
  This package contains NiPy documentation in various formats (HTML,

## nipy 0.3.0+git262-gbb838d7

=== debian/changelog ===
nipy (0.3.0+git262-gbb838d7-1) unstable; urgency=medium

  * New upstream snapshot from 0.3.0-261-ge34a388
  * debian/patches
    - deb_use_internal_ipythonsphinx_extensions -- dropped, upstream uses
      sphinx's copy now
  * debian/upstream moved into debian/upstream/metadata
  * debian/{control,rules}
    - use libjs-underscore for underscore.js

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 03 Oct 2014 16:50:34 -0400

nipy (0.3.0-2) UNRELEASED; urgency=medium

  * debian/patches
    - deb_use_internal_ipythonsphinx_extensions to use sphinx-provided
      inheritance_diagram (Closes: #706532)
    - up_relax_assertion - relax assertion to almost_equal, permittable
      (Closes: #729594)
  * debian/{control,rules}
    - switch away from pysupport
    - policy boost to 3.9.6

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 03 Oct 2014 08:30:13 -0400

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 # Mega rule
 %:
-	dh --buildsystem=python_distutils $@
+	dh --buildsystem=python_distutils --with=python2 $@
 
 override_dh_auto_test:
     : # Do not test just after build, lets install and then test
@@ -82,6 +82,7 @@
 	if [ -x /usr/bin/dh_numpy ]; then dh_numpy;	fi
 
 	dh_install
+	-rm debian/python-nipy-doc/usr/share/javascript/underscore/underscore.js
 
 
 ## immediately useable documentation and exemplar scripts/data

## nipy 0.4.0+git26-gf8d3149

=== debian/changelog ===
nipy (0.4.0+git26-gf8d3149-2~nd15.10+1) wily; urgency=medium

  * Backported for wily.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Sun, 04 Sep 2016 13:15:28 -0400

nipy (0.4.0+git26-gf8d3149-2) unstable; urgency=medium

  * debian/pathes picked up few fixes from upstream adjusting
    some tests for compatibility
    - 78ced182c4b4583c9a2ed3c1fc01764941560c72
      TST: relax test precision a little for 32-bit
      (replaces "custom" up_relax_assumption patch)
    - 32cb61eab2e92525c2497294d3be40e361507c4e (fixed failing doctest)
    - 751531a2894e69383f75e6a9b97586e74759ab1b
      BF: allow for generic IOError-based exception to be thrown when
      loading non existing file (Closes: #836538)
  * .gitignore, debian/source/options
    - to not ignore .diff files since interfers with helper to CP
      them from upstream

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 04 Sep 2016 10:18:55 -0400

nipy (0.4.0+git26-gf8d3149-1) unstable; urgency=medium

  * New upstream snapshot from 0.4.0-26-gf8d3149
    - various compatibility fixes (Closes: #816983)
  * debian/rules
    - fixed up PATH/invocation of scripts so that manpages generate and
      tests pass

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 03 Aug 2016 22:54:08 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nipy
 Section: python
 Priority: extra
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.5),
                python-scipy (>= 0.5), python-numpy (>= 1:1.2), python-matplotlib (>= 0.98.3),
@@ -19,7 +20,7 @@
 
 Package: python-nipy
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
+Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
          python-scipy, python-numpy (>= 1:1.2),
          python-nibabel,
          python-nipy-lib (>= ${source:Version}),
@@ -45,7 +46,7 @@
 
 Package: python-nipy-lib
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: Analysis of structural and functional neuroimaging data
@@ -58,7 +59,7 @@
 Package: python-nipy-lib-dbg
 Architecture: any
 Section: debug
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
+Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
          python-nipy-lib (= ${binary:Version})
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
@@ -73,7 +74,7 @@
 Package: python-nipy-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
+Depends: neurodebian-popularity-contest, ${misc:Depends}, libjs-jquery, libjs-underscore
 Recommends: python-nipy
 Description: documentation and examples for NiPy
  This package contains NiPy documentation in various formats (HTML,

## nipy 0.4.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,11 @@
 # Automating common tasks for NIPY development
 
 PYTHON = python
+HTML_DIR = doc/build/html
+LATEX_DIR = doc/build/latex
+WWW_DIR = doc/dist
+DOCSRC_DIR = doc
+PROJECT = nipy
 
 clean-pyc:
 	find . -regex ".*\.pyc" -exec rm -rf "{}" \;
@@ -50,9 +55,8 @@
 bdist_rpm:
 	$(PYTHON) setup.py bdist_rpm \
 	  --doc-files "doc" \
-	  --packager "nipy authors <http://mail.scipy.org/mailman/listinfo/nipy-devel>"
-	  --vendor "nipy authors <http://mail.scipy.org/mailman/listinfo/nipy-devel>"
-
+	  --packager "nipy authors <https://mail.python.org/mailman/listinfo/neuroimaging>"
+	  --vendor "nipy authors <https://mail.python.org/mailman/listinfo/neuroimaging>"
 
 # build MacOS installer -- depends on patched bdist_mpkg for Leopard
 bdist_mpkg:
@@ -103,7 +107,38 @@
 
 recythonize:
 	# Recythonize all pyx files
-	find . -name "*.pyx" -exec cython -I libcstat/wrapper {} \;
+	find . -name "*.pyx" -exec cython -I libcstat/wrapper -I lib/fff_python_wrapper {} \;
+
+# Website stuff
+$(WWW_DIR):
+	if [ ! -d $(WWW_DIR) ]; then mkdir -p $(WWW_DIR); fi
+
+htmldoc: build
+	cd $(DOCSRC_DIR) && PYTHONPATH=$(CURDIR):$(PYTHONPATH) $(MAKE) html
+
+pdfdoc: build
+	cd $(DOCSRC_DIR) && PYTHONPATH=$(CURDIR):$(PYTHONPATH) $(MAKE) latex
+	cd $(LATEX_DIR) && $(MAKE) all-pdf
+
+html: html-stamp
+html-stamp: $(WWW_DIR) htmldoc
+	cp -r $(HTML_DIR)/* $(WWW_DIR)
+	touch $@
+
+pdf: pdf-stamp
+pdf-stamp: $(WWW_DIR) pdfdoc
+	cp $(LATEX_DIR)/*.pdf $(WWW_DIR)
+	touch $@
+
+website: website-stamp
+website-stamp: $(WWW_DIR) html-stamp pdf-stamp
+	cp -r $(HTML_DIR)/* $(WWW_DIR)
+	touch $@
+
+upload-html: html-stamp
+	./tools/upload-gh-pages.sh $(WWW_DIR) $(PROJECT)
+
+refresh-readme:
+	$(PYTHON) tools/refresh_readme.py nipy
 
 .PHONY: orig-src pylint
-

=== doc/Makefile ===
--- 
+++ 
@@ -1,7 +1,6 @@
 # Makefile for Sphinx documentation
 #
 
-SF_USER ?= matthewbrett
 DIST_DIR = dist
 
 # You can set these variables from the command line.
@@ -14,7 +13,7 @@
 PAPEROPT_letter = -D latex_paper_size=letter
 ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
 
-.PHONY: help clean pdf all dist public_html web web_public htmlonly api html pickle htmlhelp latex changes linkcheck doctest
+.PHONY: help clean pdf all dist htmlonly api html pickle htmlhelp latex changes linkcheck doctest
 
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
@@ -30,9 +29,6 @@
 	@echo "  doctest   	run doctests in reST files"
 	@echo "  pdf		make <latex> and run the PDF generation"
 	@echo "  dist		make <all> and put results in $DIST_DIR/"
-	@echo "  public_html	make <dist> and rsync with public website"
-	@echo "  upload-stable-web	make <dist> and rsync with public stable website"
-	@echo "  upload-devel-web	make <dist> and rsync with public devel website"
 	@echo "  gitwash-update	update git workflow from source repo"
 
 # Commented these out, wasn't clear if we'd use these targets or not.
@@ -55,24 +51,6 @@
 	cp -a build/html/* $(DIST_DIR)
 	@echo "Build finished.  Final docs are in $(DIST_DIR)"
 
-# This one udates for the specific user named at the top of the makefile
-upload-stable-web: upload-stable-web-$(SF_USER)
-
-# This one updates according to passed user e.g
-# make upload-stable-web-my_own_sf_user
-upload-stable-web-%: dist
-	rsync -rzhvp --delete --chmod=Dg+s,g+rw $(DIST_DIR)/* \
-		$*,nipy@web.sourceforge.net:/home/groups/n/ni/nipy/htdocs/nipy/stable
-
-# This one udates for the specific user named at the top of the makefile
-upload-devel-web: upload-devel-web-$(SF_USER)
-
-# This one updates according to passed user e.g
-# make upload-devel-web-my_own_sf_user
-upload-devel-web-%: dist
-	rsync -rzhvp --delete --chmod=Dg+s,g+rw $(DIST_DIR)/* \
-		$*,nipy@web.sourceforge.net:/home/groups/n/ni/nipy/htdocs/nipy/devel
-
 htmlonly:
 	mkdir -p build/html build/doctrees
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
@@ -91,7 +69,7 @@
 	python ../tools/gitwash_dumper.py devel/guidelines nipy \
 		--github-user=nipy \
 		--project-url=http://nipy.org/nipy \
-		--project-ml-url=http://mail.scipy.org/mailman/listinfo/nipy-devel
+		--project-ml-url=https://mail.python.org/mailman/listinfo/neuroimaging
 
 pickle:
 	mkdir -p build/pickle build/doctrees
@@ -136,4 +114,3 @@
 	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) build/doctest
 	@echo
 	@echo "The overview file is in build/doctest."
-

=== debian/changelog ===
nipy (0.4.1-2~nd12.04+1) precise; urgency=medium

  * Backported for precise.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 18 Dec 2017 15:09:40 -0500

nipy (0.4.1-2) unstable; urgency=medium

  * Boost statement of policy compliance to 4.1.2
  * Boost debhelper compat from 7 to 9 
    - $@ should come before the options (like --buildsystem=python_distutils)
  * debian/patches
    - picked up few patches from upstream to avoid infinite recursion in sympy

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 18 Dec 2017 10:01:44 -0500

nipy (0.4.1-1) unstable; urgency=medium

  * Fresh upstream release
    - should resolve some failing tests (Closes: #848745)
    - dropping absorbed changeset* patches

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 30 Jul 2017 21:20:58 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
 X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.5),
+Build-Depends: debhelper (>=9), python-all-dev (>= 2.5),
                python-scipy (>= 0.5), python-numpy (>= 1:1.2), python-matplotlib (>= 0.98.3),
                python-sphinx (>= 0.6), cython,
                python-nibabel, python-nose, python-sympy (>= 0.6.6),
@@ -12,7 +12,7 @@
                python-all-dbg, python-numpy-dbg, python-scipy-dbg, cython-dbg,
                graphviz, dvipng,
                help2man,
-Standards-Version: 3.9.6
+Standards-Version: 4.1.2
 Homepage: http://neuroimaging.scipy.org
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/nipy.git
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/nipy.git

## nipy 0.4.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Automating common tasks for NIPY development
 
-PYTHON = python
+PYTHON ?= python
 HTML_DIR = doc/build/html
 LATEX_DIR = doc/build/latex
 WWW_DIR = doc/dist
@@ -43,9 +43,6 @@
 test:
 	cd .. && $(PYTHON) -c 'import nipy; nipy.test()'
 
-build:
-	$(PYTHON) setup.py build
-
 install:
 	$(PYTHON) setup.py install
 
@@ -83,16 +80,14 @@
 	$(PYTHON) -c 'from nisext.testers import bdist_egg_tests; bdist_egg_tests("nipy")'
 
 source-release: distclean
-	python -m compileall .
-	make distclean
-	python setup.py sdist --formats=gztar,zip
+	$(PYTHON) setup.py sdist
 
 venv-tests:
 	# I use this for python2.5 because the sdist-tests target doesn't work
 	# (the tester routine uses a 2.6 feature)
 	make distclean
 	- rm -rf $(VIRTUAL_ENV)/lib/python$(PYVER)/site-packages/nipy
-	python setup.py install
+	$(PYTHON) setup.py install
 	cd .. && nosetests $(VIRTUAL_ENV)/lib/python$(PYVER)/site-packages/nipy
 
 tox-fresh:
@@ -113,11 +108,11 @@
 $(WWW_DIR):
 	if [ ! -d $(WWW_DIR) ]; then mkdir -p $(WWW_DIR); fi
 
-htmldoc: build
-	cd $(DOCSRC_DIR) && PYTHONPATH=$(CURDIR):$(PYTHONPATH) $(MAKE) html
+htmldoc:
+	cd $(DOCSRC_DIR) && $(MAKE) html
 
-pdfdoc: build
-	cd $(DOCSRC_DIR) && PYTHONPATH=$(CURDIR):$(PYTHONPATH) $(MAKE) latex
+pdfdoc:
+	cd $(DOCSRC_DIR) && $(MAKE) latex
 	cd $(LATEX_DIR) && $(MAKE) all-pdf
 
 html: html-stamp

=== requirements.txt ===
# See nipy/info.py for requirement definitions
numpy>=1.6.0
scipy>=0.9.0
sympy>=0.7.0
nibabel>=1.2.0

=== doc/Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 # Makefile for Sphinx documentation
 #
 
+PYTHON ?= python
 DIST_DIR = dist
 
 # You can set these variables from the command line.
@@ -58,7 +59,7 @@
 	@echo "Build finished. The HTML pages are in build/html."
 
 api:
-	python ../tools/build_modref_templates.py
+	$(PYTHON) ../tools/build_modref_templates.py
 	@echo "Build API docs finished."
 
 html: api htmlonly
@@ -66,7 +67,7 @@
 	@echo "Build HTML and API finished."
 
 gitwash-update:
-	python ../tools/gitwash_dumper.py devel/guidelines nipy \
+	$(PYTHON) ../tools/gitwash_dumper.py devel/guidelines nipy \
 		--github-user=nipy \
 		--project-url=http://nipy.org/nipy \
 		--project-ml-url=https://mail.python.org/mailman/listinfo/neuroimaging
@@ -90,7 +91,7 @@
 	mkdir -p build/latex build/doctrees
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
 	# Clear bug for longtable column output in sphinx
-	python ../tools/fix_longtable.py build/latex/nipy.tex
+	$(PYTHON) ../tools/fix_longtable.py build/latex/nipy.tex
 	@echo
 	@echo "Build finished; the LaTeX files are in build/latex."
 	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \

=== debian/changelog ===
nipy (0.4.2-3) unstable; urgency=medium

  * Team upload.
  * Move package to Debian Med team maintenance
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Use default git repository layout so debian/gbp.conf can be deleted
  * Revert debhelper-compat 12 to 10 since Neurodebian maintainers
    need this for backports

 -- Andreas Tille <tille@debian.org>  Wed, 19 Feb 2020 21:34:18 +0100

nipy (0.4.2-2.1) experimental; urgency=medium

  [ Stuart Prescott ]
  * Non-maintainer upload.
  * Finish off Python 3 packaging work (Closes: #937143).
  * Add Rules-Requires-Root: no.
  * Update to debhelper-compat (= 12).
  * Use packaged mathjax for documentation.
  * Make building robust to multiple threads.
  * Update Standards-Version to 4.5.0 (no changes required).

  [ Andreas Tille ]
  * Team upload.
  * Point Vcs fields to Salsa
  * Standards-Version: 4.3.0
  * Testsuite: autopkgtest-pkg-python
  * Secure URI in copyright format
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove trailing whitespace in debian/changelog
  * Do not parse d/changelog
  * Build-Depends: s/python-sphinx/python3-sphinx/
  * remove outdated debian/pycompat
  * Use pybuild

  [ Michael R. Crusoe ]
  * Switch to Python 3 only package.

 -- Stuart Prescott <stuart@debian.org>  Fri, 31 Jan 2020 18:09:16 +1100

nipy (0.4.2-2) unstable; urgency=medium

  * Cherry picked a number of fixes from upstream/PRs to become a part of the
    next release (Closes: #906388)
  * debian/control
    - fixed up Vcs fields to point to salsa

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 10 Jan 2019 11:05:31 -0500

nipy (0.4.2-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/patches
    - dropped changesets - upstreamed
    - deb_no_ipython_console_highlight for now to not require that sphinx
      extension

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 19 Feb 2018 11:06:56 -0500

=== debian/control ===
Source: nipy
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 10),
               dh-python,
               python3-all-dev,
               python3-setuptools,
               python3-scipy,
               python3-numpy,
               python3-matplotlib,
               python3-sphinx,
               cython3,
               python3-numpydoc,
               python3-nibabel,
               python3-nose,
               python3-sympy,
               liblapack-dev,
               python3-all-dbg,
               python3-numpy-dbg,
               python3-scipy-dbg,
               cython3-dbg,
               graphviz,
               dvipng,
               help2man
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/nipy
Vcs-Git: https://salsa.debian.org/med-team/nipy.git
Homepage: http://neuroimaging.scipy.org
Rules-Requires-Root: no

Package: python3-nipy
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-scipy,
         python3-numpy,
         python3-nibabel,
         python3-nipy-lib (>= ${source:Version})
Recommends: python3-matplotlib,
            mayavi2,
            python3-sympy
Suggests: python3-mvpa
Breaks: python-nipy
Replaces: python-nipy
Description: Analysis of structural and functional neuroimaging data
 NiPy is a Python-based framework for the analysis of structural and
 functional neuroimaging data.  It provides functionality for
  - General linear model (GLM) statistical analysis
  - Combined slice time correction and motion correction
  - General image registration routines with flexible cost functions,
    optimizers and re-sampling schemes
  - Image segmentation
  - Basic visualization of results in 2D and 3D
  - Basic time series diagnostics
  - Clustering and activation pattern analysis across subjects
  - Reproducibility analysis for group studies

Package: python3-nipy-lib
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends}
Description: Analysis of structural and functional neuroimaging data (compiled modules)
 NiPy is a Python-based framework for the analysis of structural and
 functional neuroimaging data.
 .
 This package provides architecture-dependent builds of the libraries.

Package: python3-nipy-lib-dbg
Architecture: any
Section: debug
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-nipy-lib (= ${binary:Version})
Description: Analysis of structural and functional neuroimaging data (debug symbols)
 NiPy is a Python-based framework for the analysis of structural and
 functional neuroimaging data.
 .
 This package provides debugging symbols for architecture-dependent
 builds of the libraries.

Package: python-nipy-doc
Architecture: all
Section: doc
Depends: libjs-mathjax,
         ${misc:Depends},
         ${sphinxdoc:Depends},
Recommends: python3-nipy
Description: documentation and examples for NiPy
 This package contains NiPy documentation in various formats (HTML,
 TXT) including
  * User manual
  * Developer guidelines
  * API documentation

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

PYVER = $(shell py3versions -vd)
export PYBUILD_NAME = nipy

# To fix distutils fragile nature: when seing LDFLAGS=, which is set
# by dpkg-buildpackage it stops providing -shared flag, so for the
# minimalistic fix (alternative to NMU-ed #535699 with explicit
# -shared) we just unexport LDFLAGS
unexport LDFLAGS

# stop matplotlib from thinking it should display plots
export MPLBACKEND=Agg

# Mega rule
%:
	dh $@ --buildsystem=pybuild --with=python3,sphinxdoc

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
    : # Do not test just after build, lets install and then test
endif

manpages:
	@echo "I: generating manpages"
	set -e; mkdir -p build/manpages && \
	cd scripts && for f in *; do \
		descr=$$(grep -h -e "^ *'''" -e 'DESCRIP =' $$f | sed -e "s,.*' *\([^'][^']*\)'.*,\1,g" | head -n 1); \
        PYTHONPATH=../ \
		help2man -n "$$descr" --no-discard-stderr --no-info --version-string "$(DEB_VERSION_UPSTREAM)" "python3 ./$$f" \
		>| ../build/manpages/$$f.1; \
	done

override_dh_auto_build-indep:
	: # I: build the arch-dep packages to be able to build the docs
	dh_auto_build

	: # I: Generate documentation
	PYTHONPATH=`pybuild --print build_dir --interpreter python$(PYVER)` \
	  http_proxy='127.0.0.1:9' \
	  PATH=$(CURDIR)/debian/tmp/usr/bin/:$$PATH \
	  HOME=$(CURDIR)/build \
	  $(MAKE) -C doc html PYTHON=python$(PYVER)
	: # I: Link in the local coy of mathjax
	ln -sf /usr/share/javascript/mathjax/ doc/build/html/_static/mathjax

test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	: # I: Unittest only the default python version for now against "installed" materials
	# Make sure data files for test will be available
	cp -a $(PYBUILD_NAME)/testing/*.gz $(shell pybuild --print build_dir --interpreter python$(PYVER))/$(PYBUILD_NAME)/testing
	cp -a $(PYBUILD_NAME)/algorithms/statistics/models/tests/*.bin $(shell pybuild --print build_dir --interpreter python$(PYVER))/$(PYBUILD_NAME)/algorithms/statistics/models/tests
	cp -a $(PYBUILD_NAME)/labs/spatial_models/tests/*.nii $(shell pybuild --print build_dir --interpreter python$(PYVER))/$(PYBUILD_NAME)/labs/spatial_models/tests
	cp -a $(PYBUILD_NAME)/modalities/fmri/tests/* $(shell pybuild --print build_dir --interpreter python$(PYVER))/$(PYBUILD_NAME)/modalities/fmri/tests
	cp -a $(PYBUILD_NAME)/algorithms/diagnostics/tests/data $(shell pybuild --print build_dir --interpreter python$(PYVER))/$(PYBUILD_NAME)/algorithms/diagnostics/tests
	cd debian; \
     PATH=$(wildcard $(CURDIR)/build/scripts*$(PYVER)):$$PATH \
	  PYTHONPATH=$(shell pybuild --print build_dir --interpreter python$(PYVER)):$$PYTHONPATH \
     MPLCONFIGDIR=$(CURDIR)/build \
	  ../tools/nipnost nipy
else
	: # Skip unittests due to nocheck
endif

override_dh_install: test
	: # I: Move libraries into the python3-nipy-lib and -lib-dbg packages
	for suf in "" "-dbg"; do \
	  ( cd debian/python3-nipy$$suf/ && \
	  find . -iname *.so | \
	    while read so; do \
	      d=../python3-nipy-lib$$suf/$$(dirname $$so); \
	      mkdir -p $$d; echo "Moving $$so under $$d"; mv $$so $$d; \
	    done; \
	) \
	done
	dh_install
	: # I: Assure versioned dependency on NumPy
	dh_numpy3
	-rm debian/python-nipy-doc/usr/share/javascript/underscore/underscore.js

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## immediately usable documentation and exemplar scripts/data
override_dh_compress:
	: # I: Avoiding compression of what should not be compressed
	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -Xobjects.inv

override_dh_installman: manpages
	dh_installman -ppython3-nipy build/manpages/*.1

override_dh_clean:
	: # I: Custom cleaning
	rm -rf build nipy/neurospin/__config__.py
	$(MAKE) -C doc clean
	dh_clean

override_dh_strip:
	dh_strip -ppython3-nipy-lib --dbg-package=python3-nipy-lib-dbg

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts="filenamemangle=s/.*\/(.*)/nipy-$1/" \
  https://github.com/nipy/nipy/tags .*archive/(\d[\d\.a-z]+)\.tar\.gz

## nipy 0.4.3~rc1

=== requirements.txt ===
# See nipy/info.py for requirement definitions
numpy>=1.6.0
scipy>=0.9.0
sympy>=0.7.0,<1.6
nibabel>=1.2.0

=== debian/changelog ===
nipy (0.4.3~rc1-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Resolve nipy autopkgtest failure due to numpy testing decorators
    Closes: #959138
  * Fix homepage (thanks to Drew Parsons)
    Closes: #961846
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * watch file standard 4 (routine-update)
  * Do not force maintainers to install Build-Depends on local machine

  [ Yaroslav Halchenko ]
  * debian/patches
    + 0001-BF-avoid-relying-on-Pythonic-casting-of-bool-into-nu.patch
      for compatibility with sympy >= 1.6
  * debian/rules
    - exclude  test_interpolator test for now, failing, reported upstream
      https://github.com/nipy/nipy/issues/468
      due to scipy jump from 1.5.4-1+b1 to 1.6.0-2
    - exclude  resample_outvalue for now, reported upstream
      https://github.com/nipy/nipy/issues/471

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 20 Feb 2021 02:57:19 -0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper-compat (= 10),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all-dev,
                python3-setuptools,
@@ -26,10 +26,10 @@
                graphviz,
                dvipng,
                help2man
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/nipy
 Vcs-Git: https://salsa.debian.org/med-team/nipy.git
-Homepage: http://neuroimaging.scipy.org
+Homepage: https://nipy.org/nipy/
 Rules-Requires-Root: no
 
 Package: python3-nipy

=== debian/rules ===
--- 
+++ 
@@ -62,7 +62,7 @@
      PATH=$(wildcard $(CURDIR)/build/scripts*$(PYVER)):$$PATH \
 	  PYTHONPATH=$(shell pybuild --print build_dir --interpreter python$(PYVER)):$$PYTHONPATH \
      MPLCONFIGDIR=$(CURDIR)/build \
-	  ../tools/nipnost nipy
+	  ../tools/nipnost -e '(test_(interpolator|resample_outvalue))' nipy
 else
 	: # Skip unittests due to nocheck
 endif
@@ -100,5 +100,9 @@
 	$(MAKE) -C doc clean
 	dh_clean
 
+override_dh_auto_clean:
+	# Do not force maintainers to install Build-Depends on local machine
+	dh_auto_clean || rm -rf __pycache__ .pybuild
+
 override_dh_strip:
 	dh_strip -ppython3-nipy-lib --dbg-package=python3-nipy-lib-dbg

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=4
opts="uversionmangle=s/rc/~rc/, filenamemangle=s/.*\/(.*)/nipy-$1/" \
  https://github.com/nipy/nipy/tags .*archive/(\d[\d\.a-z]+)\.tar\.gz
